import shippo
from shippo.models import operations
s = shippo.Shippo(
api_key_header='ShippoToken <API_TOKEN>',
shippo_api_version='2018-02-08',
)
res = s.user_parcel_templates.list(request=operations.ListUserParcelTemplatesRequest())
if res is not None:
# handle response
pass
import { Shippo } from "shippo";
const shippo = new Shippo({
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08",
});
async function run() {
const result = await shippo.userParcelTemplates.list({});
// Handle the result
console.log(result);
}
run();
using Shippo;
using Shippo.Models.Components;
var sdk = new ShippoSDK(
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08"
);
var res = await sdk.UserParcelTemplates.ListAsync(shippoApiVersion: "2018-02-08");
// handle response
import shippo
from shippo.models import operations
s = shippo.Shippo(
api_key_header='ShippoToken <API_TOKEN>',
shippo_api_version='2018-02-08',
)
res = s.user_parcel_templates.list(request=operations.ListUserParcelTemplatesRequest())
if res is not None:
# handle response
pass
import { Shippo } from "shippo";
const shippo = new Shippo({
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08",
});
async function run() {
const result = await shippo.userParcelTemplates.list({});
// Handle the result
console.log(result);
}
run();
using Shippo;
using Shippo.Models.Components;
var sdk = new ShippoSDK(
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08"
);
var res = await sdk.UserParcelTemplates.ListAsync(shippoApiVersion: "2018-02-08");
// handle response
API key authentication using the ShippoToken scheme.
Format: Authorization: ShippoToken <API_TOKEN>
Example: Authorization: ShippoToken shippo_live_abc123
Optional. The object ID of a Managed Shippo Account. Platform accounts set this to make the request on behalf of one of their managed accounts. See the Platform accounts guide.
{"docsConfig":{"theme":"almond","$schema":"https://mintlify.com/docs.json","name":"Shippo API Documentation","description":"Shippo is a multi-carrier shipping API for rates, labels, tracking, address validation, and customs across 40+ carriers, available over REST, official SDKs, or natural language through the hosted Shippo MCP server at mcp.shippo.com (OAuth) for AI assistants and agents.","colors":{"primary":"#0D9373","light":"#07C983","dark":"#0D9373"},"logo":{"light":"https://mintcdn.com/shippo-f4b7b609/CzPpJjP8aG1OLSSj/logo/light.svg?fit=max\u0026auto=format\u0026n=CzPpJjP8aG1OLSSj\u0026q=85\u0026s=2fe6acfa46f91132348a2f3bf5f1b18a","dark":"https://mintcdn.com/shippo-f4b7b609/CzPpJjP8aG1OLSSj/logo/dark.svg?fit=max\u0026auto=format\u0026n=CzPpJjP8aG1OLSSj\u0026q=85\u0026s=3d04ad869d96fc212c40d790ac14a6ef"},"favicon":"https://mintcdn.com/shippo-f4b7b609/MNzp7C4JbkmwernT/favicon.svg?fit=max\u0026auto=format\u0026n=MNzp7C4JbkmwernT\u0026q=85\u0026s=5b633a85ae6f5c45472dcb5720a3caa6","navbar":{"primary":{"type":"button","label":"Get Started","href":"https://apps.goshippo.com/join"}},"seo":{"metatags":{"canonical":"https://docs.goshippo.com"},"organization":{"id":"https://goshippo.com/#organization","name":"Shippo","legalName":"Shippo, Inc.","url":"https://goshippo.com","logo":"https://docs.goshippo.com/logo/light.svg","sameAs":["https://www.linkedin.com/company/shippo","https://x.com/goshippo","https://github.com/goshippo"]},"indexing":"navigable"},"fonts":{"heading":{"family":"Rethink Sans","weight":700},"body":{"family":"Neue Haas Unica","weight":400,"source":"fonts/NeueHaasUnica-Regular.woff2","format":"woff2"}},"contextual":{"options":["copy","view","assistant","chatgpt","claude","perplexity",{"title":"Connect Shippo MCP","description":"Set up the hosted Shippo MCP server (mcp.shippo.com): rates, labels, and tracking from your AI client","icon":"sparkles","href":"https://docs.goshippo.com/guides/mcp-server"},"download-spec"],"display":"header"},"metadata":{"timestamp":true},"markdown":{"instructions":"Shippo is a multi-carrier shipping API. For agent integrations that execute shipping operations (rates, labels, tracking, address validation, customs), connect the hosted Shippo MCP server at https://mcp.shippo.com (per-user OAuth; setup at /guides/mcp-server). To search and read this documentation from an agent, a docs search MCP is available at https://docs.goshippo.com/mcp. Shipping workflow knowledge (agent skills and a knowledge pack) is published at https://github.com/goshippo/ai. For REST integrations start at /guides/api-quickstart; test mode uses shippo_test_ API keys."},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"shippo-f4b7b609","hasAudioNarration":false,"actualSubdomain":"shippo-f4b7b609","customDomains":["docs.goshippo.com"],"gitSource":{"type":"github","owner":"goshippo","repo":"api-metadata-specs","deployBranch":"master","contentDirectory":"mintlify","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6aeb5c4586e5c4288ac5e9d5","collectionId":"0adeec5f-fd13-4d7d-a920-fc67f915b52e","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aeb5c4586e5c4288ac5e9d5"},"feedback":{"thumbs":true,"agentFeedback":true,"contextualFeedback":{"allowEmail":true}},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aeb5c4586e5c4288ac5e9d5","clientVersion":"0.0.4067","searchFilterCounts":[{"language":"default","tag":"Documentation","count":123},{"language":"default","tag":"API Reference","count":97},{"language":"default","tag":"Guides","count":89},{"language":"default","tag":"Shippo API","count":74},{"language":"default","tag":"Carriers","count":23},{"language":"default","tag":"Shipping Elements","count":20},{"language":"default","tag":"Shipments","count":16},{"language":"default","tag":"Concepts","count":15},{"language":"default","tag":"Reporting API","count":14},{"language":"default","tag":"Integration guides","count":13}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":true,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true,"deflection":{"enabled":true,"email":"support@shippo.com","showHelpButton":true}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"starterQuestions":[{"_id":"69b9aa85e87230effc9b2684","deploymentId":"69b97e1329ae8a96c1f2f28f","questionText":"Can you walk me through how to add a customs declaration?","status":"active","generatedBy":"manual","createdAt":"2026-03-17T19:24:53.544Z","updatedAt":"2026-03-17T19:24:53.544Z","__v":0},{"_id":"69b9aa56e87230effc9b25c8","deploymentId":"69b97e1329ae8a96c1f2f28f","questionText":"How can I check which carriers are enabled on my account?","status":"active","generatedBy":"manual","createdAt":"2026-03-17T19:24:06.090Z","updatedAt":"2026-03-18T00:30:13.282Z","__v":0},{"_id":"69b9aa4ee87230effc9b25a3","deploymentId":"69b97e1329ae8a96c1f2f28f","questionText":"How do I get started with purchasing a label?","status":"active","generatedBy":"manual","createdAt":"2026-03-17T19:23:58.178Z","updatedAt":"2026-03-17T19:23:58.178Z","__v":0}],"googleFontsInlined":true},"customCss":[{"filePath":"custom.css","content":"#navbar img{height:32px!important;width:auto!important}.dark .mdx-content img:not([class]),.dark .mdx-content img[class=\"\"],.dark article img:not([class]),.dark article img[class=\"\"]{background:rgba(255, 255, 255, 0.9);border-radius:8px;padding:12px}@font-face{font-family:\"Neue Haas Unica\";src:url(\"/fonts/NeueHaasUnica-SemiBold.woff2\") format(\"woff2\");font-weight:600 700;font-display:swap}strong,b{font-weight:600}.endpoint-table td:nth-child(2),.endpoint-table code{white-space:nowrap}.endpoint-table td:first-child{min-width:0}.workflow-table code{white-space:nowrap}.workflow-table td:nth-child(2){min-width:0}"}],"page":{"pagePath":"api-reference/user-parcel-templates/list-all-user-parcel-templates","slug":"/api-reference/user-parcel-templates/list-all-user-parcel-templates","pageMetadata":{"title":"List all user parcel templates","description":"Returns a list all of all user parcel template objects.","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /user-parcel-templates","href":"/api-reference/user-parcel-templates/list-all-user-parcel-templates","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Returns a list all of all user parcel template objects.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"List all user parcel templates","description":"Returns a list all of all user parcel template objects.","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /user-parcel-templates","href":"/api-reference/user-parcel-templates/list-all-user-parcel-templates","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"description":"Returns a list all of all user parcel template objects.","operationId":"ListUserParcelTemplates","parameters":["5bb5fd98-1894-4077-a396-834fc82dadab","64ed5218-3fbb-404f-ae0f-d0be9954b65f"],"responses":{"200":"73e26ad7-f5a8-4b03-b061-1b674f232000","400":"d9179580-1a8c-414b-92d4-fae4aa592245"},"summary":"List all user parcel templates","tags":["User Parcel Templates"],"x-codeSamples":[{"label":"cURL","lang":"cURL","source":"curl https://api.goshippo.com/user-parcel-templates \\\n-H \"Authorization: ShippoToken \u003cAPI_TOKEN>\" \\\n-H \"Content-Type: application/json\""},{"lang":"python","label":"Python","source":"import shippo\nfrom shippo.models import operations\n\ns = shippo.Shippo(\n api_key_header='ShippoToken \u003cAPI_TOKEN>',\n shippo_api_version='2018-02-08',\n)\n\n\nres = s.user_parcel_templates.list(request=operations.ListUserParcelTemplatesRequest())\n\nif res is not None:\n # handle response\n pass"},{"lang":"typescript","label":"Typescript","source":"import { Shippo } from \"shippo\";\n\nconst shippo = new Shippo({\n apiKeyHeader: \"ShippoToken \u003cAPI_TOKEN>\",\n shippoApiVersion: \"2018-02-08\",\n});\n\nasync function run() {\n const result = await shippo.userParcelTemplates.list({});\n\n // Handle the result\n console.log(result);\n}\n\nrun();"},{"lang":"csharp","label":"C#","source":"using Shippo;\nusing Shippo.Models.Components;\n\nvar sdk = new ShippoSDK(\n apiKeyHeader: \"ShippoToken \u003cAPI_TOKEN>\",\n shippoApiVersion: \"2018-02-08\"\n);\n\nvar res = await sdk.UserParcelTemplates.ListAsync(shippoApiVersion: \"2018-02-08\");\n\n// handle response"},{"lang":"php","label":"PHP","source":"declare(strict_types=1);\n\nrequire 'vendor/autoload.php';\n\nuse Shippo\\API;\n\n$sdk = API\\Shippo::builder()\n ->setSecurity(\n 'ShippoToken \u003cAPI_TOKEN>'\n )\n ->setShippoApiVersion('2018-02-08')\n ->build();\n\n\n\n$response = $sdk->userParcelTemplates->list(\n shippoApiVersion: '2018-02-08'\n);\n\nif ($response->userParcelTemplateList !== null) {\n // handle response\n}"},{"lang":"java","label":"Java","source":"package hello.world;\n\nimport com.goshippo.shippo_sdk.Shippo;\nimport com.goshippo.shippo_sdk.models.operations.ListUserParcelTemplatesResponse;\nimport java.lang.Exception;\n\npublic class Application {\n\n public static void main(String[] args) throws Exception {\n\n Shippo sdk = Shippo.builder()\n .apiKeyHeader(\"ShippoToken \u003cAPI_TOKEN>\")\n .shippoApiVersion(\"2018-02-08\")\n .build();\n\n ListUserParcelTemplatesResponse res = sdk.userParcelTemplates().list()\n .shippoApiVersion(\"2018-02-08\")\n .call();\n\n if (res.userParcelTemplateList().isPresent()) {\n // handle response\n }\n }\n}"}],"method":"get","type":"path","servers":["cacc1504-0b40-4ec1-aa22-16cc7c1beba9"],"security":["dbe54bd5-03b5-44fc-a1e0-5dbfdcce4630"],"path":"/user-parcel-templates","baseUrlOptions":["https://api.goshippo.com"],"title":"List all user parcel templates","codeSamples":[{"label":"cURL","lang":"cURL","source":"curl https://api.goshippo.com/user-parcel-templates \\\n-H \"Authorization: ShippoToken \u003cAPI_TOKEN>\" \\\n-H \"Content-Type: application/json\""},{"label":"Python","lang":"python","source":"import shippo\nfrom shippo.models import operations\n\ns = shippo.Shippo(\n api_key_header='ShippoToken \u003cAPI_TOKEN>',\n shippo_api_version='2018-02-08',\n)\n\n\nres = s.user_parcel_templates.list(request=operations.ListUserParcelTemplatesRequest())\n\nif res is not None:\n # handle response\n pass"},{"label":"Typescript","lang":"typescript","source":"import { Shippo } from \"shippo\";\n\nconst shippo = new Shippo({\n apiKeyHeader: \"ShippoToken \u003cAPI_TOKEN>\",\n shippoApiVersion: \"2018-02-08\",\n});\n\nasync function run() {\n const result = await shippo.userParcelTemplates.list({});\n\n // Handle the result\n console.log(result);\n}\n\nrun();"},{"label":"C#","lang":"csharp","source":"using Shippo;\nusing Shippo.Models.Components;\n\nvar sdk = new ShippoSDK(\n apiKeyHeader: \"ShippoToken \u003cAPI_TOKEN>\",\n shippoApiVersion: \"2018-02-08\"\n);\n\nvar res = await sdk.UserParcelTemplates.ListAsync(shippoApiVersion: \"2018-02-08\");\n\n// handle response"},{"label":"PHP","lang":"php","source":"declare(strict_types=1);\n\nrequire 'vendor/autoload.php';\n\nuse Shippo\\API;\n\n$sdk = API\\Shippo::builder()\n ->setSecurity(\n 'ShippoToken \u003cAPI_TOKEN>'\n )\n ->setShippoApiVersion('2018-02-08')\n ->build();\n\n\n\n$response = $sdk->userParcelTemplates->list(\n shippoApiVersion: '2018-02-08'\n);\n\nif ($response->userParcelTemplateList !== null) {\n // handle response\n}"},{"label":"Java","lang":"java","source":"package hello.world;\n\nimport com.goshippo.shippo_sdk.Shippo;\nimport com.goshippo.shippo_sdk.models.operations.ListUserParcelTemplatesResponse;\nimport java.lang.Exception;\n\npublic class Application {\n\n public static void main(String[] args) throws Exception {\n\n Shippo sdk = Shippo.builder()\n .apiKeyHeader(\"ShippoToken \u003cAPI_TOKEN>\")\n .shippoApiVersion(\"2018-02-08\")\n .build();\n\n ListUserParcelTemplatesResponse res = sdk.userParcelTemplates().list()\n .shippoApiVersion(\"2018-02-08\")\n .call();\n\n if (res.userParcelTemplateList().isPresent()) {\n // handle response\n }\n }\n}"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"5bb5fd98-1894-4077-a396-834fc82dadab":{"description":"Optional string used to pick a non-default API version to use. See our [API version](https://docs.goshippo.com/docs/api_concepts/apiversioning/) guide.","in":"header","name":"SHIPPO-API-VERSION","schema":{"type":"string","example":"2018-02-08","default":"2018-02-08","x-default":"2018-02-08","description":"Optional string used to pick a non-default API version to use. See our [API version](https://docs.goshippo.com/docs/api_concepts/apiversioning/) guide.","uniqueKey":"","typeLabel":"string"},"x-speakeasy-globals-hidden":true},"64ed5218-3fbb-404f-ae0f-d0be9954b65f":{"description":"Optional. The object ID of a Managed Shippo Account. Platform accounts set this to make the request on behalf of one of their managed accounts. See the [Platform accounts guide](https://docs.goshippo.com/platform-accounts/platform-using-accounts).","in":"header","name":"SHIPPO-ACCOUNT-ID","required":false,"schema":{"type":"string","isRequired":false,"description":"Optional. The object ID of a Managed Shippo Account. Platform accounts set this to make the request on behalf of one of their managed accounts. See the [Platform accounts guide](https://docs.goshippo.com/platform-accounts/platform-using-accounts).","uniqueKey":"","typeLabel":"string"},"x-speakeasy-globals-hidden":true}},"responses":{"73e26ad7-f5a8-4b03-b061-1b674f232000":{"description":"List of user parcel templates","content":{"application/json":{"schema":{"properties":{"results":{"items":{"type":"object","title":"User Parcel Template","x-tags":["User Parcel Templates"],"properties":{"distance_unit":{"enum":["cm","in","ft","m","mm","yd"],"example":"in","type":"string","description":"The measure unit used for length, width and height. Required, but if using a preset carrier template then this field must be empty.","uniqueKey":"results.items.[INDEX].distance_unit","typeLabel":"enum\u003cstring>"},"height":{"description":"The height of the package, in units specified by the `distance_unit` attribute. Required, but if using a preset carrier template then this field must be empty.","example":"6","type":"string","uniqueKey":"results.items.[INDEX].height","typeLabel":"string"},"length":{"description":"The length of the package, in units specified by the `distance_unit` attribute. Required, but if using a preset carrier template then this field must be empty.","example":"10","type":"string","uniqueKey":"results.items.[INDEX].length","typeLabel":"string"},"name":{"description":"The name of the User Parcel Template","example":"My Custom Template","type":"string","uniqueKey":"results.items.[INDEX].name","typeLabel":"string"},"weight":{"description":"The weight of the package, in units specified by the weight_unit attribute.","example":"12","type":"string","uniqueKey":"results.items.[INDEX].weight","typeLabel":"string"},"weight_unit":{"description":"The unit used for weight.","enum":["g","kg","lb","oz"],"example":"lb","type":"string","uniqueKey":"results.items.[INDEX].weight_unit","typeLabel":"enum\u003cstring>"},"width":{"description":"The width of the package, in units specified by the `distance_unit` attribute. Required, but if using a preset carrier template then this field must be empty.","example":"8","type":"string","uniqueKey":"results.items.[INDEX].width","typeLabel":"string"},"object_created":{"description":"Date and time of User Parcel Template creation","example":"2013-12-11T19:38:09.729Z","format":"date-time","type":"string","uniqueKey":"results.items.[INDEX].object_created","typeLabel":"string\u003cdate-time>"},"object_id":{"description":"Unique identifier of the given User Parcel Template object","example":"b958d3690bb04bb8b2986724872750f5","type":"string","uniqueKey":"results.items.[INDEX].object_id","typeLabel":"string"},"object_owner":{"description":"Username of the user who created the User Parcel Template object","example":"shippotle@shippo.com","type":"string","uniqueKey":"results.items.[INDEX].object_owner","typeLabel":"string"},"object_updated":{"description":"Date and time of last update on User Parcel Template","example":"2013-12-12T19:38:09.729Z","format":"date-time","type":"string","uniqueKey":"results.items.[INDEX].object_updated","typeLabel":"string\u003cdate-time>"},"template":{"x-tags":["Carrier Parcel Templates"],"properties":{"carrier":{"description":"The name of the carrier that provides this parcel template","example":"FedEx","type":"string","uniqueKey":"results.items.[INDEX].template.carrier","typeLabel":"string"},"distance_unit":{"enum":["cm","in","ft","m","mm","yd"],"example":"in","type":"string","description":"The measure unit used for length, width and height.","uniqueKey":"results.items.[INDEX].template.distance_unit","typeLabel":"enum\u003cstring>"},"height":{"description":"The height of the package, in units specified by the distance_unit attribute","example":"1.5","type":"string","uniqueKey":"results.items.[INDEX].template.height","typeLabel":"string"},"is_variable_dimensions":{"description":"True if the carrier parcel template allows custom dimensions, such as USPS Softpack.","example":false,"type":"boolean","uniqueKey":"results.items.[INDEX].template.is_variable_dimensions","typeLabel":"boolean"},"length":{"description":"The length of the package, in units specified by the distance_unit attribute","example":"12.375","type":"string","uniqueKey":"results.items.[INDEX].template.length","typeLabel":"string"},"name":{"description":"The name of the carrier parcel template","example":"FedEx® Small Box (S1)","type":"string","uniqueKey":"results.items.[INDEX].template.name","typeLabel":"string"},"token":{"description":"The unique string representation of the carrier parcel template","example":"FedEx_Box_Small_1","type":"string","uniqueKey":"results.items.[INDEX].template.token","typeLabel":"string"},"width":{"description":"The width of the package, in units specified by the distance_unit attribute","example":"10.875","type":"string","uniqueKey":"results.items.[INDEX].template.width","typeLabel":"string"}},"title":"Carrier Parcel Template","type":"object","uniqueKey":"results.items.[INDEX].template","typeLabel":"Carrier Parcel Template · object"}},"uniqueKey":"results.items.[INDEX]","typeLabel":"User Parcel Template · object"},"type":"array","uniqueKey":"results","typeLabel":"User Parcel Template · object[]"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"results":[{"distance_unit":"in","height":"6","length":"10","name":"My Custom Template","weight":"12","weight_unit":"lb","width":"8","object_created":"2013-12-11T19:38:09.729Z","object_id":"b958d3690bb04bb8b2986724872750f5","object_owner":"shippotle@shippo.com","object_updated":"2013-12-12T19:38:09.729Z","template":{"carrier":"FedEx","distance_unit":"in","height":"1.5","is_variable_dimensions":false,"length":"12.375","name":"FedEx® Small Box (S1)","token":"FedEx_Box_Small_1","width":"10.875"}}]}}},"exampleType":"generated"}},"exampleType":"generated"},"d9179580-1a8c-414b-92d4-fae4aa592245":{"description":"Bad request","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"dbe54bd5-03b5-44fc-a1e0-5dbfdcce4630":{"APIKeyHeader":{"type":"apiKey","in":"header","name":"Authorization","x-token-prefix":"ShippoToken","x-token-format":"ShippoToken {token}","x-default":"ShippoToken ","description":"API key authentication using the ShippoToken scheme.\nFormat: Authorization: ShippoToken \u003cAPI_TOKEN>\nExample: Authorization: ShippoToken shippo_live_abc123\n","scopes":[],"schemeName":"APIKeyHeader"}}},"servers":{"cacc1504-0b40-4ec1-aa22-16cc7c1beba9":{"url":"https://api.goshippo.com"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"Authorization","x-token-prefix":"ShippoToken","x-token-format":"ShippoToken {token}","x-default":"ShippoToken ","description":"API key authentication using the ShippoToken scheme.\nFormat: Authorization: ShippoToken \u003cAPI_TOKEN>\nExample: Authorization: ShippoToken shippo_live_abc123\n","scopes":[],"schemeName":"APIKeyHeader"},"schema":{"title":"Authorization","type":"string","description":"API key authentication using the ShippoToken scheme.\nFormat: Authorization: ShippoToken \u003cAPI_TOKEN>\nExample: Authorization: ShippoToken shippo_live_abc123\n","isRequired":true,"default":"ShippoToken ","typeLabel":"string","deprecated":false},"schemeName":"APIKeyHeader","name":"Authorization"}],"title":"APIKeyHeader"}]},"originalFileLocation":"spec/shippoapi/public-api.yaml"},"subdomain":"shippo-f4b7b609","siteName":"Shippo API Documentation","title":"List all user parcel templates - Shippo API Documentation","relatedPagesConfig":{"enabled":true,"limit":3,"mode":"automatic"},"navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"originalFileLocation":"api-reference/user-parcel-templates/list-all-user-parcel-templates.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Returns a list all of all user parcel template objects.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Shippo API Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/shippo-f4b7b609/gcyqE9-1OT8BeY1o/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/shippo-f4b7b609/gcyqE9-1OT8BeY1o/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/shippo-f4b7b609/gcyqE9-1OT8BeY1o/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/shippo-f4b7b609/gcyqE9-1OT8BeY1o/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/shippo-f4b7b609/gcyqE9-1OT8BeY1o/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/shippo-f4b7b609/gcyqE9-1OT8BeY1o/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/shippo-f4b7b609/gcyqE9-1OT8BeY1o/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/shippo-f4b7b609/gcyqE9-1OT8BeY1o/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/shippo-f4b7b609/gcyqE9-1OT8BeY1o/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List all user parcel templates - Shippo API Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Returns a list all of all user parcel template objects.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Shippo API Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.goshippo.com/api-reference/user-parcel-templates/list-all-user-parcel-templates\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://shippo-f4b7b609.mintlify.app/_mintlify/api/og/v2?division=User+Parcel+Templates\u0026amp;title=List+all+user+parcel+templates\u0026amp;description=Returns+a+list+all+of+all+user+parcel+template+objects.\u0026amp;theme=376b22903894b16c95b28a54\u0026amp;signature=f740638705e6a1f71dbe94e1dff6bf882ba57fe5a09b6576fb7a64206269646f\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List all user parcel templates - Shippo API Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Returns a list all of all user parcel template objects.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://shippo-f4b7b609.mintlify.app/_mintlify/api/og/v2?division=User+Parcel+Templates\u0026amp;title=List+all+user+parcel+templates\u0026amp;description=Returns+a+list+all+of+all+user+parcel+template+objects.\u0026amp;theme=376b22903894b16c95b28a54\u0026amp;signature=f740638705e6a1f71dbe94e1dff6bf882ba57fe5a09b6576fb7a64206269646f\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/shippo-f4b7b609/gcyqE9-1OT8BeY1o/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Shippo API Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0D9373\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.goshippo.com/api-reference/user-parcel-templates/list-all-user-parcel-templates\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/user-parcel-templates/list-all-user-parcel-templates.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://goshippo.com/#organization\",\"name\":\"Shippo\",\"legalName\":\"Shippo, Inc.\",\"url\":\"https://goshippo.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://docs.goshippo.com/logo/light.svg\"},\"sameAs\":[\"https://www.linkedin.com/company/shippo\",\"https://x.com/goshippo\",\"https://github.com/goshippo\"]},{\"@type\":\"WebSite\",\"@id\":\"https://docs.goshippo.com#website\",\"name\":\"Shippo API Documentation\",\"url\":\"https://docs.goshippo.com\",\"publisher\":{\"@id\":\"https://goshippo.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.goshippo.com/api-reference/user-parcel-templates/list-all-user-parcel-templates#webpage\",\"url\":\"https://docs.goshippo.com/api-reference/user-parcel-templates/list-all-user-parcel-templates\",\"name\":\"List all user parcel templates\",\"description\":\"Returns a list all of all user parcel template objects.\",\"isPartOf\":{\"@id\":\"https://docs.goshippo.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.goshippo.com/api-reference/user-parcel-templates/list-all-user-parcel-templates#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.goshippo.com/api-reference/user-parcel-templates/list-all-user-parcel-templates#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Shippo API\",\"item\":\"https://docs.goshippo.com/api-reference/addresses/list-all-addresses\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"List all user parcel templates\",\"item\":\"https://docs.goshippo.com/api-reference/user-parcel-templates/list-all-user-parcel-templates\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.goshippo.com/api-reference/user-parcel-templates/list-all-user-parcel-templates#apireference\",\"headline\":\"List all user parcel templates\",\"name\":\"List all user parcel templates\",\"description\":\"Returns a list all of all user parcel template objects.\",\"url\":\"https://docs.goshippo.com/api-reference/user-parcel-templates/list-all-user-parcel-templates\",\"mainEntityOfPage\":{\"@id\":\"https://docs.goshippo.com/api-reference/user-parcel-templates/list-all-user-parcel-templates#webpage\"},\"publisher\":{\"@id\":\"https://goshippo.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.goshippo.com#website\"}}]}\u003c/script>","siteName":"Shippo API Documentation","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":""}]},{"tab":"API Reference","groups":[{"group":"Overview","pages":[{"title":"API Reference Overview","href":"/api-reference/overview"}]},{"group":"Shippo API","pages":[{"group":"Addresses","pages":[{"title":"List all addresses","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /addresses","href":"/api-reference/addresses/list-all-addresses"},{"title":"Create a new address","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml post /addresses","href":"/api-reference/addresses/create-a-new-address"},{"title":"Retrieve an address","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /addresses/{AddressId}","href":"/api-reference/addresses/retrieve-an-address"},{"title":"Validate an address","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /addresses/{AddressId}/validate","href":"/api-reference/addresses/validate-an-address"}]},{"group":"Batches","pages":[{"title":"Create a batch","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml post /batches","href":"/api-reference/batches/create-a-batch"},{"title":"Retrieve a batch","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /batches/{BatchId}","href":"/api-reference/batches/retrieve-a-batch"},{"title":"Add shipments to a batch","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml post /batches/{BatchId}/add_shipments","href":"/api-reference/batches/add-shipments-to-a-batch"},{"title":"Purchase a batch","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml post /batches/{BatchId}/purchase","href":"/api-reference/batches/purchase-a-batch"},{"title":"Remove shipments from a batch","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml post /batches/{BatchId}/remove_shipments","href":"/api-reference/batches/remove-shipments-from-a-batch"}]},{"group":"Carrier Accounts","pages":[{"title":"List all carrier accounts","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /carrier_accounts","href":"/api-reference/carrier-accounts/list-all-carrier-accounts"},{"title":"Create a new carrier account","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml post /carrier_accounts","href":"/api-reference/carrier-accounts/create-a-new-carrier-account"},{"title":"Retrieve a carrier account","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /carrier_accounts/{CarrierAccountId}","href":"/api-reference/carrier-accounts/retrieve-a-carrier-account"},{"title":"Update a carrier account","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml put /carrier_accounts/{CarrierAccountId}","href":"/api-reference/carrier-accounts/update-a-carrier-account"},{"title":"Connect an existing carrier account using OAuth 2.0","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /carrier_accounts/{CarrierAccountObjectId}/signin/initiate","href":"/api-reference/carrier-accounts/connect-an-existing-carrier-account-using-oauth-20"},{"title":"Add a Shippo carrier account","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml post /carrier_accounts/register/new","href":"/api-reference/carrier-accounts/add-a-shippo-carrier-account"},{"title":"Get Carrier Registration status","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /carrier_accounts/reg-status","href":"/api-reference/carrier-accounts/get-carrier-registration-status"}]},{"group":"Customs Declarations","pages":[{"title":"List all customs declarations","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /customs/declarations","href":"/api-reference/customs-declarations/list-all-customs-declarations"},{"title":"Create a new customs declaration","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml post /customs/declarations","href":"/api-reference/customs-declarations/create-a-new-customs-declaration"},{"title":"Retrieve a customs declaration","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /customs/declarations/{CustomsDeclarationId}","href":"/api-reference/customs-declarations/retrieve-a-customs-declaration"}]},{"group":"Customs Items","pages":[{"title":"List all customs items","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /customs/items","href":"/api-reference/customs-items/list-all-customs-items"},{"title":"Create a new customs item","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml post /customs/items","href":"/api-reference/customs-items/create-a-new-customs-item"},{"title":"Retrieve a customs item","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /customs/items/{CustomsItemId}","href":"/api-reference/customs-items/retrieve-a-customs-item"}]},{"group":"Embedded Authorization","pages":[{"title":"Create a JWT","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml post /embedded/authz","href":"/api-reference/embedded-authorization/create-a-jwt"}]},{"group":"Rates at Checkout","pages":[{"title":"Generate a live rates request","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml post /live-rates","href":"/api-reference/rates-at-checkout/generate-a-live-rates-request"},{"title":"Show current default parcel template","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /live-rates/settings/parcel-template","href":"/api-reference/rates-at-checkout/show-current-default-parcel-template"},{"title":"Update default parcel template","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml put /live-rates/settings/parcel-template","href":"/api-reference/rates-at-checkout/update-default-parcel-template"},{"title":"Clear current default parcel template","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml delete /live-rates/settings/parcel-template","href":"/api-reference/rates-at-checkout/clear-current-default-parcel-template"}]},{"group":"Manifests","pages":[{"title":"List all manifests","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /manifests","href":"/api-reference/manifests/list-all-manifests"},{"title":"Create a new manifest","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml post /manifests","href":"/api-reference/manifests/create-a-new-manifest"},{"title":"Retrieve a manifest","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /manifests/{ManifestId}","href":"/api-reference/manifests/retrieve-a-manifest"}]},{"group":"Orders","pages":[{"title":"List all orders","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /orders","href":"/api-reference/orders/list-all-orders"},{"title":"Create a new order","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml post /orders","href":"/api-reference/orders/create-a-new-order"},{"title":"Retrieve an order","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /orders/{OrderId}","href":"/api-reference/orders/retrieve-an-order"}]},{"group":"Carrier Parcel Templates","pages":[{"title":"List all carrier parcel templates","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /parcel-templates","href":"/api-reference/carrier-parcel-templates/list-all-carrier-parcel-templates"},{"title":"Retrieve a carrier parcel templates","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /parcel-templates/{CarrierParcelTemplateToken}","href":"/api-reference/carrier-parcel-templates/retrieve-a-carrier-parcel-templates"}]},{"group":"Parcels","pages":[{"title":"List all parcels","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /parcels","href":"/api-reference/parcels/list-all-parcels"},{"title":"Create a new parcel","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml post /parcels","href":"/api-reference/parcels/create-a-new-parcel"},{"title":"Retrieve an existing parcel","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /parcels/{ParcelId}","href":"/api-reference/parcels/retrieve-an-existing-parcel"}]},{"group":"Pickups","pages":[{"title":"Create a pickup","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml post /pickups","href":"/api-reference/pickups/create-a-pickup"}]},{"group":"Rates","pages":[{"title":"Retrieve a rate","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /rates/{RateId}","href":"/api-reference/rates/retrieve-a-rate"},{"title":"Retrieve shipment rates","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /shipments/{ShipmentId}/rates","href":"/api-reference/rates/retrieve-shipment-rates"},{"title":"Retrieve shipment rates in currency","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /shipments/{ShipmentId}/rates/{CurrencyCode}","href":"/api-reference/rates/retrieve-shipment-rates-in-currency"}]},{"group":"Refunds","pages":[{"title":"Create a refund","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml post /refunds","href":"/api-reference/refunds/create-a-refund"},{"title":"List all refunds","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /refunds/","href":"/api-reference/refunds/list-all-refunds"},{"title":"Retrieve a refund","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /refunds/{RefundId}","href":"/api-reference/refunds/retrieve-a-refund"}]},{"group":"Service Groups","pages":[{"title":"List all service groups","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /service-groups","href":"/api-reference/service-groups/list-all-service-groups"},{"title":"Update an existing service group","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml put /service-groups","href":"/api-reference/service-groups/update-an-existing-service-group"},{"title":"Create a new service group","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml post /service-groups","href":"/api-reference/service-groups/create-a-new-service-group"},{"title":"Delete a service group","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml delete /service-groups/{ServiceGroupId}","href":"/api-reference/service-groups/delete-a-service-group"}]},{"group":"Shipments","pages":[{"title":"List all shipments","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /shipments","href":"/api-reference/shipments/list-all-shipments"},{"title":"Create a new shipment","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml post /shipments","href":"/api-reference/shipments/create-a-new-shipment"},{"title":"Retrieve a shipment","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /shipments/{ShipmentId}","href":"/api-reference/shipments/retrieve-a-shipment"}]},{"group":"Tracking Status","pages":[{"title":"Register a tracking webhook","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml post /tracks","href":"/api-reference/tracking-status/register-a-tracking-webhook"},{"title":"Get a tracking status","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /tracks/{Carrier}/{TrackingNumber}","href":"/api-reference/tracking-status/get-a-tracking-status"}]},{"group":"Transactions","pages":[{"title":"List all shipping labels","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /transactions","href":"/api-reference/transactions/list-all-shipping-labels"},{"title":"Create a shipping label","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml post /transactions","href":"/api-reference/transactions/create-a-shipping-label"},{"title":"Retrieve a shipping label","description":"Returns an existing transaction using an object ID.\nEach call returns a new `label_url` with a new expiration time. Use this endpoint to get a new `label_url` when the `Expires` value on the current `label_url` is in the past. Send one call for each transaction.","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /transactions/{TransactionId}","href":"/api-reference/transactions/retrieve-a-shipping-label"}]},{"group":"User Parcel Templates","pages":[{"title":"List all user parcel templates","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /user-parcel-templates","href":"/api-reference/user-parcel-templates/list-all-user-parcel-templates"},{"title":"Create a new user parcel template","description":"Creates a new user parcel template.\n\nYou can choose to create a parcel template using a preset carrier template as a starting point, or you can create an entirely custom one. To use a preset carrier template, pass in a unique template token from [this list](/shippoapi/public-api/parcel-templates) plus the weight fields (**weight** and **weight_unit**). Otherwise, omit the template field and pass the other fields, for the weight, length, height, and depth, as well as their units.\"","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml post /user-parcel-templates","href":"/api-reference/user-parcel-templates/create-a-new-user-parcel-template"},{"title":"Retrieves a user parcel template","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /user-parcel-templates/{UserParcelTemplateObjectId}","href":"/api-reference/user-parcel-templates/retrieves-a-user-parcel-template"},{"title":"Update an existing user parcel template","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml put /user-parcel-templates/{UserParcelTemplateObjectId}","href":"/api-reference/user-parcel-templates/update-an-existing-user-parcel-template"},{"title":"Delete a user parcel template","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml delete /user-parcel-templates/{UserParcelTemplateObjectId}","href":"/api-reference/user-parcel-templates/delete-a-user-parcel-template"}]},{"group":"Shippo Accounts","pages":[{"title":"List all Shippo Accounts","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /shippo-accounts","href":"/api-reference/shippo-accounts/list-all-shippo-accounts"},{"title":"Create a Shippo Account","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml post /shippo-accounts","href":"/api-reference/shippo-accounts/create-a-shippo-account"},{"title":"Retrieve a Shippo Account","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /shippo-accounts/{ShippoAccountId}","href":"/api-reference/shippo-accounts/retrieve-a-shippo-account"},{"title":"Update a Shippo Account","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml put /shippo-accounts/{ShippoAccountId}","href":"/api-reference/shippo-accounts/update-a-shippo-account"}]},{"group":"Webhooks","pages":[{"title":"List all webhooks","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /webhooks","href":"/api-reference/webhooks/list-all-webhooks"},{"title":"Create a new webhook","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml post /webhooks","href":"/api-reference/webhooks/create-a-new-webhook"},{"title":"Retrieve a specific webhook","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /webhooks/{webhookId}","href":"/api-reference/webhooks/retrieve-a-specific-webhook"},{"title":"Update an existing webhook","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml put /webhooks/{webhookId}","href":"/api-reference/webhooks/update-an-existing-webhook"},{"title":"Delete a specific webhook","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml delete /webhooks/{webhookId}","href":"/api-reference/webhooks/delete-a-specific-webhook"}]},{"group":"API Reference","pages":[{"title":"Batch","version":null,"deprecated":null,"openapi":"/spec/shippoapi/public-api.yaml webhook batch","href":"/api-reference/batch"},{"title":"Track","version":null,"deprecated":null,"openapi":"/spec/shippoapi/public-api.yaml webhook track","href":"/api-reference/track"},{"title":"Transaction","version":null,"deprecated":null,"openapi":"/spec/shippoapi/public-api.yaml webhook transaction","href":"/api-reference/transaction"}]}]},{"group":"Enums","pages":[{"title":"Service Levels","href":"/api-reference/service-levels/index"},{"title":"Parcel Templates","href":"/api-reference/parcel-templates/index"}]},{"group":"Service Levels","hidden":true,"pages":[{"title":"Airterra Service Levels","href":"/api-reference/service-levels/airterra"},{"title":"APC Postal Service Levels","href":"/api-reference/service-levels/apc-postal"},{"title":"APG Service Levels","href":"/api-reference/service-levels/apg"},{"title":"Asendia US Service Levels","href":"/api-reference/service-levels/asendia-us"},{"title":"Australia Post Service Levels","href":"/api-reference/service-levels/australia-post"},{"title":"Jitsu Service Levels","href":"/api-reference/service-levels/axlehire"},{"title":"BetterTrucks Service Levels","href":"/api-reference/service-levels/better-trucks"},{"title":"Canada Post Service Levels","href":"/api-reference/service-levels/canada-post"},{"title":"Chronopost Service Levels","href":"/api-reference/service-levels/chronopost"},{"title":"Colissimo Service Levels","href":"/api-reference/service-levels/colissimo"},{"title":"Correos España Service Levels","href":"/api-reference/service-levels/correos-espana"},{"title":"Deutsche Post Service Levels","href":"/api-reference/service-levels/deutsche-post"},{"title":"DHL eCommerce Service Levels","href":"/api-reference/service-levels/dhl-ecommerce"},{"title":"DHL Express Service Levels","href":"/api-reference/service-levels/dhl-express"},{"title":"DHL Germany Service Levels","href":"/api-reference/service-levels/dhl-germany"},{"title":"DPD GERMANY Service Levels","href":"/api-reference/service-levels/dpd-de"},{"title":"DPD UK Service Levels","href":"/api-reference/service-levels/dpd-uk"},{"title":"Aramex Service Levels","href":"/api-reference/service-levels/fastway-australia"},{"title":"FedEx Service Levels","href":"/api-reference/service-levels/fedex"},{"title":"Globegistics Service Levels","href":"/api-reference/service-levels/globegistics"},{"title":"GLS US Service Levels","href":"/api-reference/service-levels/gls-us"},{"title":"Evri UK Service Levels","href":"/api-reference/service-levels/hermes-uk"},{"title":"LaserShip Service Levels","href":"/api-reference/service-levels/lasership"},{"title":"LSO Service Levels","href":"/api-reference/service-levels/lso"},{"title":"Mondial Relay Service Levels","href":"/api-reference/service-levels/mondial-relay"},{"title":"OnTrac Service Levels","href":"/api-reference/service-levels/ontrac"},{"title":"Parcelforce Service Levels","href":"/api-reference/service-levels/parcelforce"},{"title":"Poste Italiane Service Levels","href":"/api-reference/service-levels/poste-italiane"},{"title":"Purolator Service Levels","href":"/api-reference/service-levels/purolator"},{"title":"Royal Mail Service Levels","href":"/api-reference/service-levels/royal-mail"},{"title":"Royal Mail Storefeeder Service Levels","href":"/api-reference/service-levels/royal-mail-sf"},{"title":"ePost Global Service Levels","href":"/api-reference/service-levels/rr-donnelley"},{"title":"Swyft Service Levels","href":"/api-reference/service-levels/swyft"},{"title":"UDS Service Levels","href":"/api-reference/service-levels/uds"},{"title":"UPS Service Levels","href":"/api-reference/service-levels/ups"},{"title":"USPS Service Levels","href":"/api-reference/service-levels/usps"},{"title":"Veho Service Levels","href":"/api-reference/service-levels/veho"}]},{"group":"Addresses API v2","pages":[{"group":"Validation","pages":[{"title":"Validate address","deprecated":null,"version":null,"openapi":"/api-reference/addressesapi/address_v2.yaml get /v2/addresses/validate","href":"/api-reference/validation/validate-address"}]},{"group":"Parser","pages":[{"title":"Parse Address","deprecated":null,"version":null,"openapi":"/api-reference/addressesapi/address_v2.yaml get /v2/addresses/parse","href":"/api-reference/parser/parse-address"}]},{"group":"Address Book","pages":[{"title":"Retrieve a single address","deprecated":null,"version":null,"openapi":"/api-reference/addressesapi/address_v2.yaml get /v2/addresses/{address_id}","href":"/api-reference/address-book/retrieve-a-single-address"},{"title":"Update an address","deprecated":null,"version":null,"openapi":"/api-reference/addressesapi/address_v2.yaml put /v2/addresses/{address_id}","href":"/api-reference/address-book/update-an-address"},{"title":"Delete an address","deprecated":null,"version":null,"openapi":"/api-reference/addressesapi/address_v2.yaml delete /v2/addresses/{address_id}","href":"/api-reference/address-book/delete-an-address"},{"title":"Retrieve addresses","deprecated":null,"version":null,"openapi":"/api-reference/addressesapi/address_v2.yaml get /v2/addresses","href":"/api-reference/address-book/retrieve-addresses"},{"title":"Create a new address","deprecated":null,"version":null,"openapi":"/api-reference/addressesapi/address_v2.yaml post /v2/addresses","href":"/api-reference/address-book/create-a-new-address"}]}]},{"group":"Surcharges API","hidden":true,"pages":[{"group":"Surcharges","pages":[{"title":"List surcharge files","deprecated":null,"version":null,"openapi":"/api-reference/surchargesapi/openapi.yaml get /v2/reports/surcharges","href":"/api-reference/surcharges/list-surcharge-files"},{"title":"Retrieve surcharge file","deprecated":null,"version":null,"openapi":"/api-reference/surchargesapi/openapi.yaml get /v2/reports/surcharges/{file_id}","href":"/api-reference/surcharges/retrieve-surcharge-file"}]}]},{"group":"Reports API","hidden":true,"pages":[{"group":"Reports","pages":[{"title":"Return list of reports","deprecated":null,"version":null,"openapi":"/api-reference/shipporeports/openapi.yaml get /v2/reports/{report_type_uuid}/runs","href":"/api-reference/reports/return-list-of-reports"},{"title":"Download report","deprecated":null,"version":null,"openapi":"/api-reference/shipporeports/openapi.yaml get /v2/reports/{report_type_uuid}/runs/{report_run_uuid}/download","href":"/api-reference/reports/download-report"}]}]},{"group":"Reporting API","hidden":false,"pages":[{"group":"Report Runs","pages":[{"title":"List Report Runs","deprecated":null,"version":null,"openapi":"/api-reference/reporting-api/openapi.yaml get /v2/reporting/runs","href":"/api-reference/report-runs/list-report-runs"},{"title":"Create Report Run","deprecated":null,"version":null,"openapi":"/api-reference/reporting-api/openapi.yaml post /v2/reporting/runs","href":"/api-reference/report-runs/create-report-run"},{"title":"Get Report Run","deprecated":null,"version":null,"openapi":"/api-reference/reporting-api/openapi.yaml get /v2/reporting/runs/{run_id}","href":"/api-reference/report-runs/get-report-run"}]},{"group":"Reports","pages":[{"title":"List Report Types","deprecated":null,"version":null,"openapi":"/api-reference/reporting-api/openapi.yaml get /v2/reporting/reports","href":"/api-reference/reports/list-report-types"},{"title":"Get Report Type","deprecated":null,"version":null,"openapi":"/api-reference/reporting-api/openapi.yaml get /v2/reporting/reports/{report_type}","href":"/api-reference/reports/get-report-type"}]}]},{"group":"Invoices API","hidden":true,"pages":[{"group":"Invoices","pages":[{"title":"List invoice files","deprecated":null,"version":null,"openapi":"/api-reference/shipporeportinvoices/invoices-api.yaml get /v2/reports/invoices","href":"/api-reference/invoices/list-invoice-files"},{"title":"Retrieve invoice file","deprecated":null,"version":null,"openapi":"/api-reference/shipporeportinvoices/invoices-api.yaml get /v2/reports/invoices/{file_id}","href":"/api-reference/invoices/retrieve-invoice-file"}]}]},{"group":"Estimate API","pages":[{"group":"Estimates","pages":[{"title":"Create Estimates","deprecated":null,"version":null,"openapi":"/api-reference/estimateapi/openapi.yaml post /v2/estimates","href":"/api-reference/estimates/create-estimates"}]}]},{"group":"Automations API","hidden":false,"tag":"Beta","pages":[{"group":"Automations","pages":[{"title":"List label-purchase requests","deprecated":null,"version":null,"openapi":"/api-reference/automationsapi/openapi.yaml get /automations/labels","href":"/api-reference/automations/list-label-purchase-requests"},{"title":"Buy a label using your automation rules","deprecated":null,"version":null,"openapi":"/api-reference/automationsapi/openapi.yaml post /automations/labels","href":"/api-reference/automations/buy-a-label-using-your-automation-rules"},{"title":"Get request status","deprecated":null,"version":null,"openapi":"/api-reference/automationsapi/openapi.yaml get /automations/labels/{request_id}","href":"/api-reference/automations/get-request-status"},{"title":"Get the decision behind a selected rate","deprecated":null,"version":null,"openapi":"/api-reference/automationsapi/openapi.yaml get /automations/labels/{request_id}/decision","href":"/api-reference/automations/get-the-decision-behind-a-selected-rate"}]}]},{"group":"Parcel Templates","hidden":true,"pages":[{"title":"Aramex Australia Parcel Templates","href":"/api-reference/parcel-templates/aramex-australia"},{"title":"DHL eCommerce Parcel Templates","href":"/api-reference/parcel-templates/dhl-ecommerce"},{"title":"DPD UK Parcel Templates","href":"/api-reference/parcel-templates/dpd-uk"},{"title":"FedEx Parcel Templates","href":"/api-reference/parcel-templates/fedex"},{"title":"UPS Parcel Templates","href":"/api-reference/parcel-templates/ups"},{"title":"USPS Parcel Templates","href":"/api-reference/parcel-templates/usps"}]}]},{"tab":"Shipping Elements","pages":[{"title":"Shipping Elements","href":"/shipping-elements"}]}]},"basePath":"","title":"List all user parcel templates - Shippo API Documentation","buildId":"dpl_9VVk5y1P8k1ATeJguVngy9Q3cmbD","deploymentId":"dpl_9VVk5y1P8k1ATeJguVngy9Q3cmbD","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DX1Meug0.js","utils-B_OMIQVC.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-ChxhRPMa.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-CuKvD8Iv.js","snippetPresets-C5d7p2hp.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CfHcE8m4.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C1zZV314.js","shallow-CmQhqCJn.js","getApiPlaygroundDisplay-YRo9s1O7.js","CodeSnippet-RN1MTdfk.js","CodeSnippets-DKLPHxJA.js","Page-BAvA99GL.js","getPastedJson-bz0M41mU.js","icon-CsmhpPrv.js","MethodPill-CNGsVE77.js","DuplicateIcon-DilfU_Z2.js","createIcon-BdsYzQck.js","DynamicMarkdown-CbqEDjbV.js","SectionHeading-O6hXpFCN.js","axios-vUo_bRtp.js","Markdown-nKm-uidQ.js","clsx-ClVdStUn.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CIQkMg3R.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-ImrFS4Fy.js"]}